[Last Call] Learn how to a build a cloud-first strategyRegister Now

x
  • Status: Solved
  • Priority: Medium
  • Security: Public
  • Views: 445
  • Last Modified:

Microsoft Security Bulletin MS06-019 Failed to install

Hi all,

When I try to install this latest patch by Microsoft, I get the error message:

Setup cannot continue because one or more pre-requisites required to install Security Update for Exchange 2000 Server (KB916803) failed. For More details check the Log File KB916803.log

Small Business Server 2000 (Windows 2000 SP3)
Exchange Server SP3

My guess is that the pre-requisites that is needed may be from SP4 but I once installed SP4 and it gave MAJOR problems on the server by disabling Active Directory etc. I had to roll back the installation. Anyways, anyone have any suggestions?

Also, how will i be able to get assistance if MS does not support windows updates for windows 2000 SP 1, 2 and 3?

That is, they only support update patches for Windows 2000 SP4 and later....

Thanks in advance and all help is greatly appreciated.
0
TechInNeedmm
Asked:
TechInNeedmm
  • 5
  • 4
1 Solution
 
rakeshmiglaniCommented:
What error do you see in the KB916803.log?
0
 
TechInNeedmmAuthor Commented:
0.047: 2006/05/10 10:24:10.078 (local)
0.047: f:\9c83384176af80fe1027ee85eb\update\update.exe (version 6.1.22.4)
0.063: DoInstallation: GetProcAddress(InitializeCustomizationDLL) Returned: 0x7f
0.125: Hotfix started with following command line:
0.157: CreateUserInterface:  GetProcAddress for DefineInstallCustomUI failed:  0x7f
0.172:  Exec Rollup.AndOp.Section: Result ValueName RollupMajorVersion Not Found For Key SOFTWARE\Microsoft\Exchange\Setup
0.172: Fist Condition in Rollup.AndOp.Section Failed
0.172: Condition Check for Line 1 of PreRequisite returned FALSE
0.172:  Setup encountered an error:  Setup cannot continue because one or more pre-requisites required to install Security Update for Exchange 2000 Server (KB916803) failed. For More details check the Log File KB916803.log
0.204: Setup cannot continue because one or more pre-requisites required to install Security Update for Exchange 2000 Server (KB916803) failed. For More details check the Log File KB916803.log
4.579: Message displayed to the user: Setup cannot continue because one or more pre-requisites required to install Security Update for Exchange 2000 Server (KB916803) failed. For More details check the Log File KB916803.log
4.579: User Input: OK
4.579: Update.exe extended error code = 0xf0f4
4.579: Update.exe return code was masked to 0x643 for MSI custom action compliance.
0
 
rakeshmiglaniCommented:
i am not able to locate KB916803 and MS06-019,

could you give me  the link to the update that you are trying to install?

also what is the version of store.exe on the exchange server?
0
Independent Software Vendors: We Want Your Opinion

We value your feedback.

Take our survey and automatically be enter to win anyone of the following:
Yeti Cooler, Amazon eGift Card, and Movie eGift Card!

 
TechInNeedmmAuthor Commented:
http://www.microsoft.com/technet/security/bulletin/ms06-018.mspx

The version of STORE.exe on the exchange server is 6.0.6249.4

0
 
rakeshmiglaniCommented:
the version of store.exe that you have on the server is very old.

the newer version is

http://support.microsoft.com/kb/870540/en-us

and

http://support.microsoft.com/kb/894549/en-us

and you are correct. the MS06-018 requires SP4 for Windows.
0
 
TechInNeedmmAuthor Commented:
ah i just realized that as well....
i downloaded and will install after hrs tonight.

Correction:
Based on the requirements for patch MS06-018, in order to install this patch i need the update roll up. So Windows SP 4 is not needed for this one.

http://www.microsoft.com/technet/security/bulletin/ms06-019.mspx

Microsoft Exchange Server 2000 with the Exchange 2000 Post-Service Pack 3 Update Rollup of August 2004(870540) - Download the update

Thanks for the above :)
You have been helpful....

Also, on the topic of Windows SP4, can you comment further in regards to my problems after installing SP4?
0
 
TechInNeedmmAuthor Commented:
i will submit another question in the windows 2000 section in regards to that as well

Thanks again for your help.
0
 
rakeshmiglaniCommented:
i have installed SP4 for Windows many times and have not faced any problem after that..

But I have seen the following update cause issues..

Installing security update MS05-019 or Windows Server 2003 Service Pack 1 may cause network connectivity between clients and servers to fail
http://support.microsoft.com/kb/898060/en-us
0
 
TechInNeedmmAuthor Commented:
ah i c
Well i installed that ahwile ago and all is well there.

Thanks again.
0

Featured Post

Concerto Cloud for Software Providers & ISVs

Can Concerto Cloud Services help you focus on evolving your application offerings, while delivering the best cloud experience to your customers? From DevOps to revenue models and customer support, the answer is yes!

Learn how Concerto can help you.

  • 5
  • 4
Tackle projects and never again get stuck behind a technical roadblock.
Join Now